com.pixelmed.test

## Class TestCTScanType

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCTScanType

-     public class TestCTScanType
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCTScanType(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCTScanType_Axial_Description()`
    `void` | `TestCTScanType_Axial_Equality()`
    `void` | `TestCTScanType_Free_Description()`
    `void` | `TestCTScanType_Free_Equality()`
    `void` | `TestCTScanType_Helical_Description()`
    `void` | `TestCTScanType_Helical_Equality()`
    `void` | `TestCTScanType_Localizer_Description()`
    `void` | `TestCTScanType_Localizer_Equality()`
    `void` | `TestCTScanType_Localizer_Helical_Inequality()`
    `void` | `TestCTScanType_SelectFromCode()`
    `void` | `TestCTScanType_SelectFromDescription()`
    `void` | `TestCTScanType_Stationary_Description()`
    `void` | `TestCTScanType_Stationary_Equality()`
    `void` | `TestCTScanType_Unknown_Description()`
    `void` | `TestCTScanType_Unknown_Equality()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCTScanType

          public TestCTScanType(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCTScanType_Localizer_Description

          public void TestCTScanType_Localizer_Description()

    - #### TestCTScanType_Helical_Description

          public void TestCTScanType_Helical_Description()

    - #### TestCTScanType_Axial_Description

          public void TestCTScanType_Axial_Description()

    - #### TestCTScanType_Stationary_Description

          public void TestCTScanType_Stationary_Description()

    - #### TestCTScanType_Free_Description

          public void TestCTScanType_Free_Description()

    - #### TestCTScanType_Unknown_Description

          public void TestCTScanType_Unknown_Description()

    - #### TestCTScanType_Localizer_Equality

          public void TestCTScanType_Localizer_Equality()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Helical_Equality

          public void TestCTScanType_Helical_Equality()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Axial_Equality

          public void TestCTScanType_Axial_Equality()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Stationary_Equality

          public void TestCTScanType_Stationary_Equality()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Free_Equality

          public void TestCTScanType_Free_Equality()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Unknown_Equality

          public void TestCTScanType_Unknown_Equality()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_Localizer_Helical_Inequality

          public void TestCTScanType_Localizer_Helical_Inequality()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_SelectFromDescription

          public void TestCTScanType_SelectFromDescription()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTScanType_SelectFromCode

          public void TestCTScanType_SelectFromCode()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`